package uid

import (
	"testing"

	"github.com/redis/go-redis/v9"
)

func TestSignGenerator_GetNumber(t *testing.T) {
	rdb := redis.NewClient(&redis.Options{
		Addr:     "",
		Password: "",
		DB:       0,
	})
	number, err := NewSignGenerator(rdb).SetWorkerID(1).SetServerID(2).GetNumber()
	t.Log(number, err)
}

func TestSignGenerator_ReverseNumber(t *testing.T) {
	reverseNumber := NewSignGenerator(nil).ReverseNumber(556081583078248449)
	t.Log(reverseNumber)
}
